## org.eclipse.amp.amf.testing.ares.validation
Interface RunSetValidator

    public interface RunSetValidator

A sample validator interface for `RunSet`. This doesn't really do anything, and it's not a real EMF artifact. It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended. This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.

Method Summary
`boolean` `validate()`
`boolean` `validateFinished(java.util.Date value)`
`boolean` `validateResult(ResultType value)`
`boolean` `validateRuns(org.eclipse.emf.common.util.EList<Run> value)`
`boolean` `validateStarted(java.util.Date value)`

Method Detail

### validate

    boolean validate()

### validateResult

    boolean validateResult(ResultType value)

### validateStarted

    boolean validateStarted(java.util.Date value)

### validateFinished

    boolean validateFinished(java.util.Date value)

### validateRuns

    boolean validateRuns(org.eclipse.emf.common.util.EList<Run> value)